/***
 * GOSAScriptComponent.h
 *
 *  Access to a scripting component.
 *
 *  Gordon Watts (gwatts@fnal.fnal.gov)  1995 As Is!
 ***/

#pragma once

class GOSAScriptComponent {
public:
		// Connect to a scripting component
								GOSAScriptComponent (void);	// AppleScript
								GOSAScriptComponent (OSType subType,
														OSType manufact);
								~GOSAScriptComponent (void);

		static GOSAScriptComponent *GetDefaultComponent (void);

		operator ComponentInstance (void) {return mScriptComponent;};
		ComponentInstance	instance (void) const {return mScriptComponent;};

private:
		void					CommonInit (OSType subType, OSType manufact);


		ComponentInstance		mScriptComponent;
		
		static GOSAScriptComponent *mDefaultScriptComponent;
};
